<mat-accordion *ngIf="jobRunsList$ | async as jobRunsList; else elseBlock" [multi]="true">
  <mat-expansion-panel *ngFor="let jobRun of jobRunsList; let odd = odd" [disabled]="jobRun.status !== 'COMPLETE'">
    <mat-expansion-panel-header
      class="panel-header"
      [class.odd-background]="odd"
      fxLayout="row"
      fxLayoutAlign="space-between center"
      (mouseenter)="showToolsFroRun = jobRun.id"
      (mouseleave)="showToolsFroRun = null"
    >
      <mat-panel-title fxFlex="0 0 20%">
        <gng-inline-edit
          [text]="jobRun.name"
          [showEditIcon]="showToolsFroRun === jobRun.id && canEdit(jobRun)"
          (changeText)="changeRunName($event, jobRun)"
        ></gng-inline-edit>
      </mat-panel-title>
      <mat-panel-title fxLayoutAlign="start center" fxFlex="0 0 30%">
        Description:&nbsp;
        <gng-inline-edit
          [text]="jobRun.description || ''"
          [showEditIcon]="showToolsFroRun === jobRun.id && canEdit(jobRun)"
          (changeText)="changeRunDescription($event, jobRun)"
        ></gng-inline-edit>
      </mat-panel-title>
      <mat-panel-description fxLayoutAlign="start center" fxFlex="0 0 10%">
        Public:
        <xrd-run-public-field
          [showToggle]="showToolsFroRun === jobRun.id && canEdit(jobRun)"
          [jobRun]="jobRun"
        ></xrd-run-public-field>
      </mat-panel-description>
      <mat-panel-description fxLayoutAlign="start center" fxFlex="0 0 10%">
        Created by: {{ jobRun.createdBy }}
      </mat-panel-description>
      <mat-panel-description class="tools" fxFlex="0 0 180px" fxLayout="row" fxLayoutAlign="space-between center">
        <xrd-job-run-tools
          [viewAvailable]="true"
          [copyAvailable]="true"
          [deleteAvailable]="true"
          [compareAvailable]="true"
          [exportAvailable]="true"
          [run]="jobRun"
          (remove)="removeRun($event)"
        ></xrd-job-run-tools>
      </mat-panel-description>
    </mat-expansion-panel-header>
    <ng-template matExpansionPanelContent>
      <xrd-run [jobRun]="jobRun"></xrd-run>
    </ng-template>
  </mat-expansion-panel>

  <div *ngIf="!jobRunsList || !jobRunsList.length" class="no-data">No public job runs available</div>

  <a class="run-link" [routerLink]="['/xrd/job', groupId, 'create-run']">Run with different parameters</a>
</mat-accordion>

<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
